Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.mail.smime.validator
Class SignedMailValidator.ValidationResult

    java.lang.Object
      org.bouncycastle.mail.smime.validator.SignedMailValidator.ValidationResult

Enclosing class:
  SignedMailValidator

    public class SignedMailValidator.ValidationResult

extends java.lang.Object

Method Summary
`java.security.cert.CertPath` | `getCertPath()`
`org.bouncycastle.x509.PKIXCertPathReviewer` | `getCertPathReview()`
`java.util.List` | `getErrors()` Returns a list of error messages of type `ErrorBundle`.
`java.util.List` | `getNotifications()` Returns a list of notification messages of type `ErrorBundle`.
`java.util.List` | `getUserProvidedCerts()`
`boolean` | `isValidSignature()`
`boolean` | `isVerifiedSignature()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getErrors

    public java.util.List getErrors()

  Returns a list of error messages of type `ErrorBundle`.

  Returns:
    List of error messages

### getNotifications

    public java.util.List getNotifications()

  Returns a list of notification messages of type `ErrorBundle`.

  Returns:
    List of notification messages

### getCertPathReview

    public org.bouncycastle.x509.PKIXCertPathReviewer getCertPathReview()

  Returns:
    the PKIXCertPathReviewer for the CertPath of this signature or null if an Exception occured.

### getCertPath

    public java.security.cert.CertPath getCertPath()

  Returns:
    the CertPath for this signature or null if an Exception occured.

### getUserProvidedCerts

    public java.util.List getUserProvidedCerts()

  Returns:
    a List of Booleans that are true if the corresponding certificate in the CertPath was taken from the CertStore of the SMIME message

### isVerifiedSignature

    public boolean isVerifiedSignature()

  Returns:
    true if the signature corresponds to the public key of the signer

### isValidSignature

    public boolean isValidSignature()

  Returns:
    true if the signature is valid (ie. if it corresponds to the public key of the signer and the cert path for the signers certificate is also valid)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD